Welcome, Guest. Please login or register.
Did you miss your activation email?

Author Topic: libcurl4-openssl-dev 7.74.0-1.1 fails to overwrite curl-config  (Read 509 times)

Offline dpanter

  • User
  • Posts: 21
The upgrade fails with message:

Code: [Select]
Unpacking libcurl4-openssl-dev:amd64 (7.74.0-1.1) over (7.74.0-1) ...
dpkg: error processing archive /tmp/apt-dpkg-install-xL1izF/033-libcurl4-openssl-dev_7.74.0-1.1_amd64.deb (--unpack):
 trying to overwrite shared '/usr/bin/curl-config', which is different from other instances of package libcurl4-openssl-dev:amd64
dpkg-deb: error: paste subprocess was killed by signal (Broken pipe)

Renamed /usr/bin/curl-config and the upgrade could then be completed. The file was recreated with identical size and near-identical content. 

The only difference in the file contents is one of the build arguments, my old file contains:
Code: [Select]
-ffile-prefix-map=/build/curl-yl4Mcg/curl-7.74.0=.My new file:
Code: [Select]
-ffile-prefix-map=/build/curl-n3viPE/curl-7.74.0=.
<< insert signature here >>